org.apache.uima.resource.metadata.impl

## Class FsIndexDescription_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.FsIndexDescription_impl

- All Implemented Interfaces:
    Serializable, Cloneable, FsIndexDescription, MetaDataObject, XMLizable

      public class FsIndexDescription_impl
      extends MetaDataObject_impl
      implements FsIndexDescription

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.metadata.FsIndexDescription

      `EMPTY_FS_INDEX_DESCRIPTIONS, KIND_BAG, KIND_SET, KIND_SORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FsIndexDescription_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FsIndexKeyDescription[]` | `getKeys()` Gets the keys for this index.
    `String` | `getKind()` Gets the "kind" of index.
    `String` | `getLabel()` Gets the label of this index.
    `String` | `getTypeName()` Gets the Type name for this index.
    `protected String` | `getXMLElementTagName()`
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setKeys(FsIndexKeyDescription[] aKeys)` Sets the keys for this index.
    `void` | `setKind(String aKind)` Sets the "kind" of index.
    `void` | `setLabel(String aLabel)` Sets the label of this index.
    `void` | `setTypeName(String aTypeName)` Sets the Type name for this index.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### FsIndexDescription_impl

          public FsIndexDescription_impl()

  - ### Method Detail

    - #### getXMLElementTagName

          protected String getXMLElementTagName()

    - #### getLabel

          public String getLabel()

      Description copied from interface: `FsIndexDescription`
      Gets the label of this index. This is the identifier used to retrieve the index from the CAS's Index Repository.
      Specified by:
        `getLabel` in interface `FsIndexDescription`
      Returns:
        the label of this index.
      See Also:
        `FsIndexDescription.getLabel()`

    - #### setLabel

          public void setLabel(String aLabel)

      Description copied from interface: `FsIndexDescription`
      Sets the label of this index. This is the identifier used to retrieve the index from the CAS's Index Repository.
      Specified by:
        `setLabel` in interface `FsIndexDescription`
      Parameters:
        `aLabel` - the label of this index.
      See Also:
        `FsIndexDescription.setLabel(String)`

    - #### getTypeName

          public String getTypeName()

      Description copied from interface: `FsIndexDescription`
      Gets the Type name for this index. This determines what type of FeatureStructures are contained in the index.
      Specified by:
        `getTypeName` in interface `FsIndexDescription`
      Returns:
        the type name for this index
      See Also:
        `FsIndexDescription.getTypeName()`

    - #### setTypeName

          public void setTypeName(String aTypeName)

      Description copied from interface: `FsIndexDescription`
      Sets the Type name for this index. This determines what type of FeatureStructures are contained in the index.
      Specified by:
        `setTypeName` in interface `FsIndexDescription`
      Parameters:
        `aTypeName` - the type name for this index
      See Also:
        `FsIndexDescription.setTypeName(String)`

    - #### getKind

          public String getKind()

      Description copied from interface: `FsIndexDescription`
      Gets the "kind" of index. There are currently three kinds of indexes - "sorted", "set", and "bag" (see `FSIndex` for definitions). If this is `null`, "sorted" is assumed as the default.
      Specified by:
        `getKind` in interface `FsIndexDescription`
      Returns:
        the kind of index
      See Also:
        `FsIndexDescription.getKind()`

    - #### setKind

          public void setKind(String aKind)

      Description copied from interface: `FsIndexDescription`
      Sets the "kind" of index. There are currently three kinds of indexes - sorted, set, and bag (see `FSIndex` for definitions). If this is `null`, "sorted" is assumed as the default.
      Specified by:
        `setKind` in interface `FsIndexDescription`
      Parameters:
        `aKind` - the kind of index
      See Also:
        `FsIndexDescription.setKind(String)`

    - #### getKeys

          public FsIndexKeyDescription[] getKeys()

      Description copied from interface: `FsIndexDescription`
      Gets the keys for this index. The keys determine the ordering of FeatureStructures in this index.
      Specified by:
        `getKeys` in interface `FsIndexDescription`
      Returns:
        the keys for this index
      See Also:
        `FsIndexDescription.getKeys()`

    - #### setKeys

          public void setKeys(FsIndexKeyDescription[] aKeys)

      Description copied from interface: `FsIndexDescription`
      Sets the keys for this index. The keys determine the ordering of FeatureStructures in this index.
      Specified by:
        `setKeys` in interface `FsIndexDescription`
      Parameters:
        `aKeys` - the keys for this index
      See Also:
        `FsIndexDescription.setKeys(FsIndexKeyDescription[])`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.